## loci.formats
Class ByteVector

    java.lang.Object
      loci.formats.ByteVector

public class ByteVector
extends Object

A growable array of bytes.

Constructor Summary
`ByteVector()`
`ByteVector(byte[] byteBuffer)`
`ByteVector(int initialSize)`

Method Summary
`void` `add(byte x)`
`void` `add(byte[] array)`
`void` `add(byte[] array, int off, int len)`
`void` `clear()`
`(package private) void` `doubleCapacity()`
`int` `size()`
`byte[]` `toByteArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteVector

    public ByteVector()

### ByteVector

    public ByteVector(int initialSize)

### ByteVector

    public ByteVector(byte[] byteBuffer)

Method Detail

### add

    public void add(byte x)

### size

    public int size()

### add

    public void add(byte[] array)

### add

    public void add(byte[] array,
                    int off,
                    int len)

### doubleCapacity

    void doubleCapacity()

### clear

    public void clear()

### toByteArray

    public byte[] toByteArray()